> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rallyuxr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a paginated list of all users



## OpenAPI

````yaml https://api.rallyuxr.com/api/openapi get /users
openapi: 3.1.0
info:
  title: Rally UXR Developer Docs
  version: '1.0'
servers:
  - url: https://api.rallyuxr.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Forms
    description: Operations on Forms in your workspace
  - name: People
    description: Operations on Person's stored in your workspace
  - name: Person Properties
    description: Operations on workspace level Person Properties
  - name: Populations
    description: Operations on Populations in your workspace
  - name: Segments
    description: Operations on Segments in your workspace
  - name: Studies
    description: Operations on Studies in your workspace
  - name: Participants
    description: Operations on Participants in studies
  - name: Participant Status Events
    description: Poll participant status-change events across your workspace
  - name: Study Status Events
    description: Poll-based access to study status-change events in your workspace
  - name: Screener
    description: Operations on a study's screener
  - name: Consent Submissions
    description: Operations on Consent Submissions for studies
  - name: Incentives
    description: Operations on Incentives in your workspace
  - name: Messages
    description: Operations on Message activities in your workspace
  - name: Imports
    description: Operations on Imports in your workspace
  - name: Users
    description: Operations on Workspace Users
  - name: Teams
    description: Operations on Teams in your workspace
  - name: Backfills
    description: >-
      Routes that can be used to backfill data into Rally. If you'd like access
      to these apis, please reach out to your Customer Success rep
  - name: Person
    description: Deprecated, use People
paths:
  /users:
    get:
      tags:
        - Users
      summary: Gets a paginated list of all users
      parameters:
        - schema:
            type: string
            description: The cursor to start fetching from
          required: false
          description: The cursor to start fetching from
          name: startCursor
          in: query
        - schema:
            type: number
            exclusiveMinimum: 0
            maximum: 100
            default: 10
            description: The number of items to fetch
            example: 10
          required: false
          description: The number of items to fetch
          name: size
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 20
              - type: string
            description: The emails to filter by. This is purely an OR filter
          required: false
          description: The emails to filter by. This is purely an OR filter
          name: email
          in: query
      responses:
        '200':
          description: A list of users
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                          description: The id of the user
                        fullname:
                          type:
                            - string
                            - 'null'
                          description: The full name of the user
                        email:
                          type: string
                          description: The email of the user
                        jobRole:
                          type:
                            - string
                            - 'null'
                          description: The job role of the user
                        profilePic:
                          type:
                            - string
                            - 'null'
                          description: The profile picture of the user
                        status:
                          type: string
                          enum:
                            - INVITED
                            - ACTIVE
                            - DEACTIVATED
                          description: The status of the user
                          example: ACTIVE
                        connectedAccounts:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - CALENDLY
                                  - GOOGLE
                                  - OFFICE365
                                  - ZOOM
                              status:
                                type: string
                                enum:
                                  - NOT_CONNECTED
                                  - CONNECTED
                                  - DISCONNECTED
                                  - ERROR
                                description: The status of the integration
                                example: CONNECTED
                            required:
                              - type
                              - status
                          description: The connected accounts of the user
                        seat:
                          type:
                            - string
                            - 'null'
                          enum:
                            - RALLY
                            - RESEARCHER_FREE
                            - RESEARCHER_PAID
                            - LITE
                            - null
                          description: The seat type of the user
                          example: RESEARCHER_PAID
                        role:
                          type: string
                          enum:
                            - DEVELOPER
                            - OBSERVER
                            - RESEARCHER
                            - OPS_MANAGER
                            - SUPER_ADMIN
                            - CUSTOM
                            - COLLABORATOR
                          description: The role of the user
                          example: OPS_MANAGER
                        createdAt:
                          type: string
                          format: date-time
                          description: The timestamp the user was created
                        lastActiveAt:
                          type:
                            - string
                            - 'null'
                          format: date-time
                          description: >-
                            The most recent time the user made an authenticated
                            request. Updated at most once per minute (subsequent
                            activity within that window does not bump the
                            timestamp). Includes UI, GraphQL, REST, and MCP
                            traffic; excludes internal service tokens. Null if
                            the user has not been active since this field was
                            introduced.
                      required:
                        - userId
                        - fullname
                        - email
                        - jobRole
                        - profilePic
                        - status
                        - connectedAccounts
                        - seat
                        - role
                        - createdAt
                        - lastActiveAt
                  total:
                    type: number
                    exclusiveMinimum: 0
                    description: >-
                      The total number of items in your workspaces based on your
                      search parameters
                  pageInfo:
                    $ref: '#/components/schemas/PageInfoResponse'
                required:
                  - results
                  - total
                  - pageInfo
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '401':
          description: Unauthorized
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Unauthorized
        '403':
          description: Forbidden
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Forbidden
        '429':
          description: Too Many Requests
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Too Many Requests
        '500':
          description: Internal Server Error
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            text/plain:
              schema:
                type: string
                example: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    PageInfoResponse:
      type: object
      properties:
        hasNextPage:
          type: boolean
          description: Whether there are additional pages of results
        hasPreviousPage:
          type: boolean
          description: Whether there is a prior page of results
        startCursor:
          type: string
          description: The start of the current page of results
        endCursor:
          type: string
          description: The end of the current page of results. Use to fetch the next page
      required:
        - hasNextPage
        - hasPreviousPage
      description: Information about the current page
    BadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
      required:
        - errors
      description: Error response for a bad request with details on what was invalid
  headers:
    X-RateLimit-Limit:
      description: The maximum number of requests the client is allowed to make.
      schema:
        type: integer
        format: int32
    X-RateLimit-Remaining:
      description: >-
        The number of requests remaining for the client in the current time
        window.
      schema:
        type: integer
        format: int32
    X-RateLimit-Reset:
      description: >-
        The time at which the current time window ends (in Unix timestamp
        format).
      schema:
        type: integer
        format: int32
    Retry-After:
      description: The number of seconds until the client should retry the request.
      schema:
        type: integer
        format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````